<?php
	$id = $_GET["id"];
	$hoy = date("Y:m:d H:i:s");

	//CONSULTA PARA NUEVO CLIENTE
	//CONSULTA PARA NUEVO CLIENTE
	if($_POST["base_parse"] != "" ){ 
		$count = 1;
		$filas = json_decode( $_POST["base_parse"] ) ; 
		
		$arrayUM = array();
		$queryUM = mysqli_query($connect,"SELECT * FROM Unidad_Medida WHERE estado = 1 ");
		while($dataUM = mysqli_fetch_array($queryUM)){
			array_push($arrayUM, array( $dataUM["id"], $dataUM["simbolo"]) );
		}
		
		$arrayTI = array();
		$queryTI = mysqli_query($connect,"SELECT * FROM Tipo_Insumo WHERE estado = 1 ");
		while($dataTI = mysqli_fetch_array($queryTI)){
			array_push($arrayTI, array( $dataTI["id"], $dataTI["nombre"]) );
		}

		$total = 0;
		foreach ($filas as &$fila) {
			
			if($count >= 2){
				
				$id_unidad = 0;
				foreach ($arrayUM as &$unidad) {
					if(strtoupper($unidad[1]) == strtoupper($fila["1"]) ){ $id_unidad = $unidad["0"]; }
				}
				
				$id_tipo = 0;
				foreach ($arrayTI as &$tipo) {
					if(strtoupper($tipo[1]) == strtoupper($fila["0"]) ){ $id_tipo = $tipo["0"]; }
				}
				
				$qA = mysqli_query($connect,"SELECT * FROM Actividades WHERE nombre = '".$fila["0"]."' ");
				if($qA->num_rows == 0){
					mysqli_query($connect,"INSERT INTO Actividades ( nombre, id_unidad, simbolo_unidad, id_estado, created_at, updated_at) 
					VALUES 
					('".$fila["0"]."', '".$id_unidad."', '".$fila["1"]."', '1', '".$hoy."', '".$hoy."'  ) ");
				}
			}	
					
			$count++;
		}
		
		echo '<script> location.href = "?pg=actividades"; </script>';
	
	}
?>

<script>
//FUNCTION PARA CARGAR EL CSV Y VALIDAR, NO CARGA A BASE DE DATOS
function Cargar_Base_Datos(){
	
	$("#btn_subir").show();
	$("#tabla_previo").show();
	

    if( $('#file_base_datos').val() == ""  ){
		alert("Debes seleccionar un archivo...");
		$("#btn_subir").hide();
		$("#tabla_previo").hide();
    }
    else{
		
		$('#file_base_datos').parse({
			config: {
			delimiter: ";",
			complete: pintar_tabla,
			encoding: "ISO-8859-1"
        },
			before: function(file, inputElem){
				//data_csv(file, inputElem);
				//console.log("Parsing file...", file);
				//console.log(inputElem);
			},
			error: function(err, file){
				console.log("ERROR:", err, file);
			},
			complete: function(result){
				//console.log("Done with all files");
				//console.log(result);
				
				$("#archivo_cargado_tmp").html("");
				
			}
        });
    }
}



//RONDAS 2
function pintar_tabla(results){
	
	$("#table_validar").html("");
	data = results.data;
	cont = 1;
	cont_item = 1;
	for(i=0;i<data.length;i++){
		
		if(cont >= 2){
			$("#table_validar").append('<tr>');
			$("#table_validar").append('<td>'+cont_item+'</td>');
			$("#table_validar").append('<td>'+data[i][0]+'</td>');
			$("#table_validar").append('<td>'+data[i][1]+'</td>');
			$("#table_validar").append('</tr>');
			cont_item++;
		}
		
		cont++;	
		
	}
	
	$("#base_parse").val( JSON.stringify(data)  );	
}

function Reset(){
	$("#table_validar").html("");
	$("#btn_subir").hide();
	$("#tabla_previo").hide();
}

</script>

<nav aria-label="breadcrumb" style="margin-top: 15px;">
  <ol class="breadcrumb">
    <li class="breadcrumb-item"><a href="?pg=home">Home</a></li>
    <li class="breadcrumb-item"><a href="?pg=actividades">Actividades</a></li>
    <li class="breadcrumb-item active" aria-current="page">Cargar Actividades</li>
  </ol>
</nav>

<div class="card" style=" margin-top:15px; margin-bottom:15px">
	<div class="card-body">
    	
        
        <div class="row">
        	<div class="col-md-6">
                <h5 class="card-title">Cargar Actividades</h5>
				<p class="card-text">
                	Aquí podrá cargar un archivo .csv con la lista de actividades, que posteriormente serán utilizadas para crear apus.<br /><br />
                    Seleccione el archivo <b>.csv</b> y revise que los datos se encuentren correctamente configurados, 
                    luego de clic en el botón <b>Guardar Actividades</b> para iniciar con el proceso.<br />
                    <b style="color: #fc0758;">* Puede realizar este proceso tantas veces sea nesesario antes de guardar los insumos. *</b> <br />
                    <b style="color: #fc0758;">* Recuerda que los registros duplicados no serán cargados en nuestra base de datos. *</b> <br />  
				</p>
            </div>
            
            <div class="col-md-6">
				<div align="right"><a href="sources/Formato_Insumos.xlsx" target="_blank">Archivo de ejemplo</a></div>
                <h6 style="text-align:center">Cargar archivo .CSV</h6>
                <input class="form-control" id="file_base_datos" type="file" accept=".csv" style="margin-bottom:10px; border: 0;" >
                <div align="right">
                <input type="button" class="btn btn-primary btn-md" value="Validar" onclick="Cargar_Base_Datos()"  />
                <input type="button" class="btn btn-success btn-md" value="Borrar" onclick="Reset()" />
                </div>
            </div>
		</div>	
 
        
	</div>
</div>

    

<table class="table table-sm" style="margin-top:15px; display:none" id="tabla_previo" >
	<thead class="thead-dark">
    <tr>
		<th>#</th>
        <th>Nombre</th>
		<th>Unidad de medida</th>
    </tr>
	</thead>
	
    <tbody id="table_validar">		
	</tbody>
</table>


<!-- FILTRO EMPRESA -->
    <form action="" method="post" >
    <div class="row" style="margin-bottom:20px; display:none" id="btn_subir">
    	<div class="col-md-12" >
        	<input name="id_proyecto" type="hidden" value="<?php echo $_GET["id"]; ?>" />
            <input id="base_parse" name="base_parse" type="hidden" />
            <button type="submit" class="btn btn-primary btn-md btn-block">
				<i class="fa fa-upload"></i> Guardar Actividades
			</button>
		</div>
    </div>
    </form>








































